Skip to main content
PATCH
Update an Agent Status

Authorizations

X-API-Key
string
header
required

API key for authentication. Keys are prefixed with nxr_live_.

Path Parameters

id
string<uuid>
required

Workflow identifier.

statusKey
string
required

Workflow status natural key.

Body

application/json
label
string | null
required
description
string | null
color
string | null
category
enum<string>
Available options:
active,
won,
lost,
paused,
deferred
is_initial
boolean
is_terminal
boolean
is_auto_contacted
boolean
is_auto_engaged
boolean
is_qualified
boolean
is_booking_target
boolean
entry_hint
string | null
pause_bot
boolean
requires_all_fields
boolean
required_field_keys
string[] | null
transition_rules
object | null
timeout_config
object | null
transfer_config
object | null
assignment_config
object | null

Response

Successful response.

success
enum<boolean>
required
Available options:
true
workflow_id
string<uuid>
required
status
object
required

Updated public workflow status projection.

Last modified on September 8, 2026